React Breadcrumb

React Breadcrumb - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

Indicate the current page’s location within a navigational hierarchy that automatically adds separators via CSS.


Basic example

See the following Bootstrap Breadcrumb examples

        
            
            import React from "react";
            import { MDBBreadcrumb, MDBBreadcrumbItem, MDBContainer } from "mdbreact";

            const BreadcrumbPage = () => {
              return (
                <MDBContainer>
                  <MDBBreadcrumb>
                    <MDBBreadcrumbItem active>Home</MDBBreadcrumbItem>
                  </MDBBreadcrumb>

                  <MDBBreadcrumb>
                    <MDBBreadcrumbItem>Home</MDBBreadcrumbItem>
                    <MDBBreadcrumbItem active>Library</MDBBreadcrumbItem>
                  </MDBBreadcrumb>

                  <MDBBreadcrumb>
                    <MDBBreadcrumbItem>Home</MDBBreadcrumbItem>
                    <MDBBreadcrumbItem>Library</MDBBreadcrumbItem>
                    <MDBBreadcrumbItem active>Data</MDBBreadcrumbItem>
                  </MDBBreadcrumb>
                </MDBContainer>
              );
            };

            export default BreadcrumbPage;
        
        
    

Breadcrumbs with dark background

        
            
            import React from "react";
            import { MDBBreadcrumb, MDBBreadcrumbItem, MDBContainer } from "mdbreact";

            const BreadcrumbPage = () => {
              return (
                <MDBContainer>
                    <MDBBreadcrumb light color="default">
                      <MDBBreadcrumbItem active>Home</MDBBreadcrumbItem>
                    </MDBBreadcrumb>

                    <MDBBreadcrumb light color="primary">
                      <MDBBreadcrumbItem>Home</MDBBreadcrumbItem>
                      <MDBBreadcrumbItem active>Library</MDBBreadcrumbItem>
                    </MDBBreadcrumb>

                    <MDBBreadcrumb light color="secondary">
                      <MDBBreadcrumbItem>Home</MDBBreadcrumbItem>
                      <MDBBreadcrumbItem>Library</MDBBreadcrumbItem>
                      <MDBBreadcrumbItem active>Data</MDBBreadcrumbItem>
                    </MDBBreadcrumb>
                </MDBContainer>
              );
            };

            export default BreadcrumbPage;
        
        
    

Breadcrumbs with icons

        
            
            import React from "react";
            import { MDBBreadcrumb, MDBBreadcrumbItem, MDBContainer } from "mdbreact";

            const BreadcrumbPage = () => {
              return (
                <MDBContainer>
                  <MDBBreadcrumb light color="pink lighten-4">
                    <MDBBreadcrumbItem iconRegular icon="star">Home</MDBBreadcrumbItem>
                  </MDBBreadcrumb>

                  <MDBBreadcrumb light color="pink lighten-3">
                    <MDBBreadcrumbItem iconRegular icon="star">Home</MDBBreadcrumbItem>
                    <MDBBreadcrumbItem iconRegular icon="star" active>Library</MDBBreadcrumbItem>
                  </MDBBreadcrumb>

                  <MDBBreadcrumb light color="pink lighten-2">
                    <MDBBreadcrumbItem iconRegular icon="star">Home</MDBBreadcrumbItem>
                    <MDBBreadcrumbItem iconRegular icon="star">Library</MDBBreadcrumbItem>
                    <MDBBreadcrumbItem iconRegular icon="star" active>Data</MDBBreadcrumbItem>
                  </MDBBreadcrumb>
                </MDBContainer>
              );
            };

            export default BreadcrumbPage;
        
        
    

React Breadcrumb - API

In this section you will find advanced information about the Breadcrumb component. You will find out which modules are required, what are the possibilities of configuring the component, and what events and methods you can use to work with it.


Imports

        
            
          import React from 'react'; 
          import { MDBBreadcrumb, MDBBreadcrumbItem } from 'mdbreact';
        
        
    

API Reference: Breadcrumb Properties

The table below shows the configuration options of the MDBBreadcrumb component.

Name Type Default Description Example
bold Boolean false Sets breadcrumbs font-weight to bold <MDBBreadcrumb bold />
className String Adds custom classes <MDBBreadcrumb className="customClass" />
color String Sets breadcrumbs background color <MDBBreadcrumb color="indigo" />
light Boolean false Sets font color to white <MDBBreadcrumb light />
uppercase Boolean false Transforms breadcrumbs text to uppercase <MDBBreadcrumb uppercase />

API Reference: BreadcrumbItem Properties

The table below shows the configuration options of the MDBBreadcrumbItem component.

Name Type Default Description Example
active Boolean false Active state for breadcrumb item <MDBBreadcrumbItem active />
appendIcon Boolean false Moves icon to the right <MDBBreadcrumbItem appendIcon />
bold Boolean false Sets breadcrumbs font-weight to bold <MDBBreadcrumbItem bold />
className String Adds custom classes <MDBBreadcrumbItem className="customClass" />
icon String Adds font-awesome icon <MDBBreadcrumbItem icon="caret-right" />
iconBrand Boolean false Use this property to set brand icon (fab) <MDBBreadcrumbItem icon="twitter" iconBrand />
iconClassName String Adds custom classes to icon element <MDBBreadcrumbItem icon="envelope" iconClassName="customClass" />
iconLight Boolean false Use this property to set light icon (fal) <MDBBreadcrumbItem icon="twitter" iconLight />
iconRegular Boolean false Use this property to set regular icon (far) <MDBBreadcrumbItem icon="twitter" iconRegular />
iconSize String Sets icon size <MDBBreadcrumbItem icon="pencil-alt" size="5x" />

React Breadcrumb - examples & customization

Quickly get a project started with any of our examples.


Breadcrumbs with light background

        
            
          import React from "react";
          import { MDBBreadcrumb, MDBBreadcrumbItem, MDBContainer } from "mdbreact";

          const BreadcrumbPage = props => {
            return (
              <MDBContainer>
                <MDBBreadcrumb color="cyan lighten-4">
                  <MDBBreadcrumbItem active>Home</MDBBreadcrumbItem>
                </MDBBreadcrumb>

                <MDBBreadcrumb  color="pink lighten-4">
                  <MDBBreadcrumbItem>Home</MDBBreadcrumbItem>
                  <MDBBreadcrumbItem active>Library</MDBBreadcrumbItem>
                </MDBBreadcrumb>

                <MDBBreadcrumb color="purple lighten-4">
                  <MDBBreadcrumbItem>Home</MDBBreadcrumbItem>
                  <MDBBreadcrumbItem>Library</MDBBreadcrumbItem>
                  <MDBBreadcrumbItem active>Data</MDBBreadcrumbItem>
                </MDBBreadcrumb>
              </MDBContainer>
            );
          };

          export default BreadcrumbPage;
        
        
    

Breadcrumbs with uppercases

        
            
          import React from "react";
          import { MDBBreadcrumb, MDBBreadcrumbItem, MDBContainer } from "mdbreact";

          const BreadcrumbPage = props => {
            return (
              <MDBContainer>
                <MDBBreadcrumb uppercase color="cyan lighten-4">
                  <MDBBreadcrumbItem active>Home</MDBBreadcrumbItem>
                </MDBBreadcrumb>

                <MDBBreadcrumb uppercase color="cyan lighten-4">
                  <MDBBreadcrumbItem>Home</MDBBreadcrumbItem>
                  <MDBBreadcrumbItem active>Library</MDBBreadcrumbItem>
                </MDBBreadcrumb>

                <MDBBreadcrumb bold uppercase color="cyan lighten-4">
                  <MDBBreadcrumbItem>Home</MDBBreadcrumbItem>
                  <MDBBreadcrumbItem>Library</MDBBreadcrumbItem>
                  <MDBBreadcrumbItem active>Data</MDBBreadcrumbItem>
                </MDBBreadcrumb>
              </MDBContainer>
            );
          };

          export default BreadcrumbPage;
        
        
    

Breadcrumbs with a bold font

        
            
          import React from "react";
          import { MDBBreadcrumb, MDBBreadcrumbItem, MDBContainer } from "mdbreact";

          const BreadcrumbPage = props => {
            return (
              <MDBContainer>
                <MDBBreadcrumb bold uppercase >
                  <MDBBreadcrumbItem active>Home</MDBBreadcrumbItem>
                </MDBBreadcrumb>

                <MDBBreadcrumb bold uppercase >
                  <MDBBreadcrumbItem>Home</MDBBreadcrumbItem>
                  <MDBBreadcrumbItem active>Library</MDBBreadcrumbItem>
                </MDBBreadcrumb>

                <MDBBreadcrumb bold uppercase >
                  <MDBBreadcrumbItem>Home</MDBBreadcrumbItem>
                  <MDBBreadcrumbItem>Library</MDBBreadcrumbItem>
                  <MDBBreadcrumbItem active>Data</MDBBreadcrumbItem>
                </MDBBreadcrumb>
              </MDBContainer>
            );
          };

          export default BreadcrumbPage;
        
        
    

Breadcrumbs with arrows

        
            
          import React from "react";
          import { MDBBreadcrumb, MDBBreadcrumbItem, MDBContainer } from "mdbreact";

          const BreadcrumbPage = props => {
            return (
              <MDBContainer>
                <MDBBreadcrumb color="indigo lighten-4">
                  <MDBBreadcrumbItem appendIcon icon="caret-right">Home</MDBBreadcrumbItem>
                  <MDBBreadcrumbItem appendIcon icon="caret-right">Library</MDBBreadcrumbItem>
                  <MDBBreadcrumbItem appendIcon active>Data</MDBBreadcrumbItem>
                </MDBBreadcrumb>

                <MDBBreadcrumb color="blue-grey lighten-4">
                  <MDBBreadcrumbItem appendIcon icon="angle-double-right">Home</MDBBreadcrumbItem>
                  <MDBBreadcrumbItem appendIcon icon="angle-double-right">Library</MDBBreadcrumbItem>
                  <MDBBreadcrumbItem appendIcon active>Data</MDBBreadcrumbItem>
                </MDBBreadcrumb>

                <MDBBreadcrumb color="purple lighten-4">
                  <MDBBreadcrumbItem appendIcon icon="angle-right">Home</MDBBreadcrumbItem>
                  <MDBBreadcrumbItem appendIcon icon="angle-right">Library</MDBBreadcrumbItem>
                  <MDBBreadcrumbItem appendIcon active>Data</MDBBreadcrumbItem>
                </MDBBreadcrumb>

                <MDBBreadcrumb color="red lighten-4">
                  <MDBBreadcrumbItem appendIcon icon="angle-double-left">Home</MDBBreadcrumbItem>
                  <MDBBreadcrumbItem appendIcon icon="angle-double-left">Library</MDBBreadcrumbItem>
                  <MDBBreadcrumbItem appendIcon active>Data</MDBBreadcrumbItem>
                </MDBBreadcrumb>

                <MDBBreadcrumb color="cyan lighten-4">
                  <MDBBreadcrumbItem appendIcon icon="angle-left">Home</MDBBreadcrumbItem>
                  <MDBBreadcrumbItem appendIcon icon="angle-left">Library</MDBBreadcrumbItem>
                  <MDBBreadcrumbItem appendIcon active>Data</MDBBreadcrumbItem>
                </MDBBreadcrumb>

                <MDBBreadcrumb color="amber lighten-4">
                  <MDBBreadcrumbItem appendIcon icon="caret-left">Home</MDBBreadcrumbItem>
                  <MDBBreadcrumbItem appendIcon icon="caret-left">Library</MDBBreadcrumbItem>
                  <MDBBreadcrumbItem appendIcon active>Data</MDBBreadcrumbItem>
                </MDBBreadcrumb>
              </MDBContainer>
            );
          };

          export default BreadcrumbPage;
        
        
    

Breadcrumbs with hamburger button

        
            
          import React from "react";
          import { MDBBreadcrumb, MDBBreadcrumbItem, MDBContainer, MDBNavbar, MDBNavbarNav, MDBNavItem } from "mdbreact";

          const BreadcrumbPage = props => {
            return (
              <MDBContainer>
                <MDBNavbar
                  color="indigo"
                  style={{ marginTop: "20px" }}
                  dark
                >
                  <span className="navbar-toggler-icon" />
                  <MDBNavbarNav left>
                    <MDBBreadcrumb color="indigo">
                      <MDBBreadcrumbItem>Home</MDBBreadcrumbItem>
                      <MDBBreadcrumbItem active>Library</MDBBreadcrumbItem>
                    </MDBBreadcrumb>
                  </MDBNavbarNav>
                  <MDBNavbarNav right>
                    <MDBNavItem>
                        <input
                          className="form-control form-control-sm ml-3 w-75"
                          type="text"
                          placeholder="Search"
                          aria-label="Search"
                        />
                    </MDBNavItem>
                  </MDBNavbarNav>
                </MDBNavbar>
              </MDBContainer>
            );
          };

          export default BreadcrumbPage;

Vue Bootstrap Breadcrumb

Vue Breadcrumbs - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

Vue Breadcrumbs indicate the current page’s location within a navigational hierarchy that automatically adds separators via CSS.


Overview

Separators are automatically added in CSS through ::before and content.

        
            
      <template>
        <div>
          <mdb-breadcrumb>
            <mdb-breadcrumb-item active>Home</mdb-breadcrumb-item>
          </mdb-breadcrumb>
          <mdb-breadcrumb>
            <mdb-breadcrumb-item><a href="#">Home</a></mdb-breadcrumb-item>
            <mdb-breadcrumb-item active>Library</mdb-breadcrumb-item>
          </mdb-breadcrumb>
          <mdb-breadcrumb>
            <mdb-breadcrumb-item><a href="#">Home</a></mdb-breadcrumb-item>
            <mdb-breadcrumb-item><a href="#">Library</a></mdb-breadcrumb-item>
            <mdb-breadcrumb-item active>Data</mdb-breadcrumb-item>
          </mdb-breadcrumb>
        </div>
      </template>
      
        
    
        
            
      <script>
        import {
          mdbBreadcrumb,
          mdbBreadcrumbItem
        } from 'mdbvue';
        export default {
          name: 'Breadcrumb',
          components: {
            mdbBreadcrumb,
            mdbBreadcrumbItem
          }
        }
      </script>
      
        
    

Changing the separator

Separators are automatically added in CSS through ::before and content. They can be changed by changing $breadcrumb-divider. The quote function is needed to generate the quotes around a string, so if you want > as a separator, you can use this:

        
            
      $breadcrumb-divider: quote(">");
      
        
    

It’s also possible to use a base64 embedded SVG icon:

        
            
      $breadcrumb-divider:
      url(data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHdpZHRoPSI4IiBoZWlnaHQ9IjgiPjxwYXRoIGQ9Ik0yLjUgMEwxIDEuNSAzLjUgNCAxIDYuNSAyLjUgOGw0LTQtNC00eiIgZmlsbD0iY3VycmVudENvbG9yIi8+PC9zdmc+);
      
        
    

The separator can be removed by setting $breadcrumb-divider to none:

        
            
      $breadcrumb-divider: none;
      
        
    

Accessibility

Since breadcrumbs provide navigation, it’s a good idea to add a meaningful label such as aria-label="breadcrumb" to describe the type of navigation provided in the <nav> element, as well as applying an aria-current="page" to the last item of the set to indicate that it represents the current page.

For more information, see the WAI-ARIA Authoring Practices for the breadcrumb pattern.


Examples

With breadcrumbs you can use different types of colors or you can implement icons or images with our breadcrumbs.

Here are some examples.


Breadcrumbs with dark background

        
            
      <template>
        <div>
          <mdb-breadcrumb color="default">
            <mdb-breadcrumb-item><a href="#" class="white-text">Home</a></mdb-breadcrumb-item>
          </mdb-breadcrumb>
          <mdb-breadcrumb class="light-font" color="primary">
            <mdb-breadcrumb-item><a href="#" class="white-text">Home</a></mdb-breadcrumb-item>
            <mdb-breadcrumb-item><a href="#" class="white-text">Library</a></mdb-breadcrumb-item>
          </mdb-breadcrumb>
          <mdb-breadcrumb class="mb-0 light-font" color="secondary">
            <mdb-breadcrumb-item><a href="#" class="white-text">Home</a></mdb-breadcrumb-item>
            <mdb-breadcrumb-item><a href="#" class="white-text">Library</a></mdb-breadcrumb-item>
            <mdb-breadcrumb-item active>Data</mdb-breadcrumb-item>
          </mdb-breadcrumb>
        </div>
      </template>
      
        
    
        
            
      <script>
        import {
          mdbBreadcrumb,
          mdbBreadcrumbItem
        } from 'mdbvue';
        export default {
          name: 'Breadcrumb',
          components: {
            mdbBreadcrumb,
            mdbBreadcrumbItem
          }
        }
      </script>
      
        
    
        
            
      <style scoped>
        .light-font .breadcrumb-item+.breadcrumb-item::before {
          color: #fff;
        }

        .light-font .breadcrumb-item.active {
          color: #cfd8dc;
        }
      </style>

      
        
    

Breadcrumbs with light background

        
            
      <template>
        <section class="dark-font">
          <mdb-breadcrumb class="cyan lighten-4">
            <mdb-breadcrumb-item><a href="#" class="black-text">Home</a></mdb-breadcrumb-item>
          </mdb-breadcrumb>
          <mdb-breadcrumb class="pink lighten-4">
            <mdb-breadcrumb-item><a href="#" class="black-text">Home</a></mdb-breadcrumb-item>
            <mdb-breadcrumb-item><a href="#" class="black-text">Library</a></mdb-breadcrumb-item>
          </mdb-breadcrumb>
          <mdb-breadcrumb class="purple lighten-4 mb-0">
            <mdb-breadcrumb-item><a href="#" class="black-text">Home</a></mdb-breadcrumb-item>
            <mdb-breadcrumb-item><a href="#" class="black-text">Library</a></mdb-breadcrumb-item>
            <mdb-breadcrumb-item active>Data</mdb-breadcrumb-item>
          </mdb-breadcrumb>
        </section>
      </template>
      
        
    
        
            
      <script>
        import {
          mdbBreadcrumb,
          mdbBreadcrumbItem
        } from 'mdbvue';
        export default {
          name: 'Breadcrumb',
          components: {
            mdbBreadcrumb,
            mdbBreadcrumbItem
          }
        }
      </script>
      
        
    
        
            
      <style scoped>
        .dark-font .breadcrumb-item+.breadcrumb-item::before {
          color: #000;
        }

        .dark-font .breadcrumb-item.active {
          color: #455a64;
        }
      </style>

      
        
    

Breadcrumbs in uppercase

        
            
      <template>
        <section class="text-uppercase">
          <mdb-breadcrumb class="cyan lighten-4">
            <mdb-breadcrumb-item><a href="#">Home</a></mdb-breadcrumb-item>
          </mdb-breadcrumb>
          <mdb-breadcrumb class="cyan lighten-4">
            <mdb-breadcrumb-item><a href="#">Home</a></mdb-breadcrumb-item>
            <mdb-breadcrumb-item><a href="#">Library</a></mdb-breadcrumb-item>
          </mdb-breadcrumb>
          <mdb-breadcrumb class="cyan lighten-4 mb-0">
            <mdb-breadcrumb-item><a href="#">Home</a></mdb-breadcrumb-item>
            <mdb-breadcrumb-item><a href="#">Library</a></mdb-breadcrumb-item>
            <mdb-breadcrumb-item active>Data</mdb-breadcrumb-item>
          </mdb-breadcrumb>
        </section>
      </template>
      
        
    
        
            
      <script>
        import {
          mdbBreadcrumb,
          mdbBreadcrumbItem
        } from 'mdbvue';
        export default {
          name: 'Breadcrumb',
          components: {
            mdbBreadcrumb,
            mdbBreadcrumbItem
          }
        }
      </script>
      
        
    

Breadcrumbs with a bold font

        
            
      <template>
        <section class="font-weight-bold text-uppercase">
          <mdb-breadcrumb>
            <mdb-breadcrumb-item><a href="#">Home</a></mdb-breadcrumb-item>
          </mdb-breadcrumb>
          <mdb-breadcrumb>
            <mdb-breadcrumb-item><a href="#">Home</a></mdb-breadcrumb-item>
            <mdb-breadcrumb-item><a href="#">Library</a></mdb-breadcrumb-item>
          </mdb-breadcrumb>
          <mdb-breadcrumb class="mb-0">
            <mdb-breadcrumb-item><a href="#">Home</a></mdb-breadcrumb-item>
            <mdb-breadcrumb-item><a href="#">Library</a></mdb-breadcrumb-item>
            <mdb-breadcrumb-item active>Data</mdb-breadcrumb-item>
          </mdb-breadcrumb>
        </section>
      </template>
      
        
    
        
            
      <script>
        import {
          mdbBreadcrumb,
          mdbBreadcrumbItem
        } from 'mdbvue';
        export default {
          name: 'Breadcrumb',
          components: {
            mdbBreadcrumb,
            mdbBreadcrumbItem
          }
        }
      </script>
      
        
    

Breadcrumbs with icons

        
            
      <template>
        <section>
          <mdb-breadcrumb class="breadcrumb-with-mdb-icon">
            <mdb-breadcrumb-item><a href="#">Home</a></mdb-breadcrumb-item>
            <mdb-breadcrumb-item><a href="#">Library</a></mdb-breadcrumb-item>
            <mdb-breadcrumb-item>Data</mdb-breadcrumb-item>
          </mdb-breadcrumb>
        </section>
      </template>
      
        
    
        
            
      <script>
        import {
          mdbBreadcrumb,
          mdbBreadcrumbItem
        } from 'mdbvue';
        export default {
          name: 'Breadcrumb',
          components: {
            mdbBreadcrumb,
            mdbBreadcrumbItem
          }
        }
      </script>
      
        
    
        
            
      <style scoped>
        .breadcrumb-with-mdb-icon .breadcrumb-item+.breadcrumb-item::before {
          font-family: "Font Awesome 5 Brands";
          font-weight: 900;
          content: "\f8ca";
        }
      </style>
      
        
    

Breadcrumbs with arrows

        
            
      <template>
        <section>
          <mdb-breadcrumb class="breadcrumb-with-arrows">
            <mdb-breadcrumb-item><a href="#">Home</a></mdb-breadcrumb-item>
            <mdb-breadcrumb-item><a href="#">Library</a></mdb-breadcrumb-item>
            <mdb-breadcrumb-item>Data</mdb-breadcrumb-item>
          </mdb-breadcrumb>
          <mdb-breadcrumb class="breadcrumb-with-double-arrows mb-0">
            <mdb-breadcrumb-item><a href="#">Home</a></mdb-breadcrumb-item>
            <mdb-breadcrumb-item><a href="#">Library</a></mdb-breadcrumb-item>
            <mdb-breadcrumb-item>Data</mdb-breadcrumb-item>
          </mdb-breadcrumb>
        </section>
      </template>
      
        
    
        
            
      <script>
        import {
          mdbBreadcrumb,
          mdbBreadcrumbItem
        } from 'mdbvue';
        export default {
          name: 'Breadcrumb',
          components: {
            mdbBreadcrumb,
            mdbBreadcrumbItem
          }
        }
      </script>
      
        
    
        
            
      <style scoped>
        .breadcrumb-with-arrows .breadcrumb-item+.breadcrumb-item::before {
          font-family: "Font Awesome 5 Free";
          font-weight: 900;
          content: "\f0da";
        }

        .breadcrumb-with-double-arrows .breadcrumb-item+.breadcrumb-item::before {
          font-family: "Font Awesome 5 Free";
          font-weight: 900;
          content: "\f101";
        }
      </style>

      
        
    

Breadcrumbs with a hamburger button

        
            
      <template>
        <nav class="navbar navbar-expand-md navbar-dark indigo">
          <div class="float-left">
            <a class="white-text button-collapse" href="#!"><i class="fas fa-bars"></i></a>
          </div>
          <mdb-breadcrumb class="mb-1 indigo mr-auto">
            <mdb-breadcrumb-item><a href="#" class="text-white">Home</a></mdb-breadcrumb-item>
            <mdb-breadcrumb-item active>Library</mdb-breadcrumb-item>
          </mdb-breadcrumb>
          <form class="form-inline md-form m-0">
            <input class="form-control m-0 p-1 text-white" type="text" placeholder="Search" aria-label="Search">
          </form>
        </nav>
      </template>
      
        
    
        
            
      <script>
        import {
          mdbBreadcrumb,
          mdbBreadcrumbItem
        } from 'mdbvue';
        export default {
          name: 'Breadcrumb',
          components: {
            mdbBreadcrumb,
            mdbBreadcrumbItem
          }
        }
      </script>
      
        
    
        
            
      <style scoped>
        ::placeholder {
          color: #cfd8dc;
        }
      </style>
      
        
    

        
            
      <template>
        <nav class="navbar navbar-expand-md navbar-dark indigo">
          <a class="navbar-brand" href="#!">
            <img src="https://mdbootstrap.com/img/logo/mdb-transparent.webp" height="30" alt="MDB logo">
          </a>
          <mdb-breadcrumb class="mb-1 indigo mr-auto">
            <mdb-breadcrumb-item><a href="#" class="text-white">Layout</a></mdb-breadcrumb-item>
            <mdb-breadcrumb-item active>Grid Usage</mdb-breadcrumb-item>
          </mdb-breadcrumb>
        </nav>
      </template>
      
        
    
        
            
      <script>
        import {
          mdbBreadcrumb,
          mdbBreadcrumbItem
        } from 'mdbvue';
        export default {
          name: 'Breadcrumb',
          components: {
            mdbBreadcrumb,
            mdbBreadcrumbItem
          }
        }
      </script>
      
        
    

Vue Bootstrap Breadcrumb - API

In this section you will find advanced information about the Breadcrumb component. You will find out which modules are required, what are the possibilities of configuring the component, and what events and methods you can use to work with it.


Imports

        
            
    <script>
      import {
        mdbBreadcrumb,
        mdbBreadcrumbItem
      } from 'mdbvue';
    </script>
    
        
    

API Reference: Breadcrumb Properties

The table below shows the configuration options of the mdbBreadcrumb component.

Name Type Default Description Example
tag String ol Sets breadcrumb's wrapper tag <mdb-breadcrumb tag="ol" />
color String Sets breadcrumb's nav color <mdb-breadcrumb color="primary" />

API Reference: BreadcrumbItem Properties

The table below shows the configuration options of the mdbBreadcrumbItem component.

Name Type Default Description Example
tag String li Sets breadcrumb's tag <mdb-breadcrumb-item tag="li" />
active Boolean false Active state for breadcrumb item <mdb-breadcrumb-item active />